<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/config.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/config.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/config.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>require_once 'classes'.DIRECTORY_SEPARATOR.'phpDoctor.php';
<a name="line4"></a>
<a name="line5"></a>/**
<a name="line6"></a> * @package PHPDoctor\Tests
<a name="line7"></a> */
<a name="line8"></a>class TestConfig extends UnitTestCase
<a name="line9"></a>{
<a name="line10"></a>	
<a name="line11"></a>	function testConfig() {
<a name="line12"></a>        $this->UnitTestCase('Configuration option tests');
<a name="line13"></a>	}
<a name="line14"></a>	
<a name="line15"></a>	function testMakeAbsolutePath() {
<a name="line16"></a>	    
<a name="line17"></a>	    $phpdoctor = new PHPDoctor('cases/ini/parser.ini');
<a name="line18"></a>	    
<a name="line19"></a>	    // regular
<a name="line20"></a>	    $this->assertEqual($phpdoctor->makeAbsolutePath('woo', '/var/yay'), '/var/yay/woo');
<a name="line21"></a>	    // local
<a name="line22"></a>	    $this->assertEqual($phpdoctor->makeAbsolutePath('./woo', '/var/yay'), '/var/yay/woo');
<a name="line23"></a>	    // unix root
<a name="line24"></a>	    $this->assertEqual($phpdoctor->makeAbsolutePath('/var/woo', '/var/yay'), '/var/woo');
<a name="line25"></a>	    // windows root
<a name="line26"></a>	    $this->assertEqual($phpdoctor->makeAbsolutePath('C:\\woo', '/var/yay'), 'C:\\woo');
<a name="line27"></a>	    // unix home directory
<a name="line28"></a>	    $this->assertEqual($phpdoctor->makeAbsolutePath('~/woo', '/var/yay'), '~/woo');
<a name="line29"></a>	    // windows network location
<a name="line30"></a>	    $this->assertEqual($phpdoctor->makeAbsolutePath('\\\\somewhere\\woo', '/var/yay'), '\\\\somewhere\\woo');
<a name="line31"></a>	    // url
<a name="line32"></a>	    $this->assertEqual($phpdoctor->makeAbsolutePath('http://somewhere/woo', '/var/yay'), 'http://somewhere/woo');
<a name="line33"></a>	    
<a name="line34"></a>	    // parent dir
<a name="line35"></a>	    $this->assertEqual($phpdoctor->makeAbsolutePath('../woo', '/var/yay'), '/var/woo');
<a name="line36"></a>	    $this->assertEqual($phpdoctor->makeAbsolutePath('../../../woo', '/var/foo/bar/baz'), '/var/woo');
<a name="line37"></a>	    
<a name="line38"></a>	}
<a name="line39"></a>	
<a name="line40"></a>}
<a name="line41"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/config.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>